/* Malloc Debugging Library
 * User options header file
 * Michael McTernan
 * mm7323@Bris.Ac.Uk
 */

/* Note: When changing these options, you will need to 
 * recompile the DbMalloc.c file and your project files  
 * It is easier to specify these to the compiler using
 * the -D switch of equivalent.
 */

/*DB_ON*/
/* If this is defined, memory tracking will be enabled
 * otherwise it will not
 * Use this to temporarily remove memory tracking from a
 * project without having to remove all references to 
 * the header file and functions.
 */
#define DB_ON

/*MORE*/
/* If you would like the output of allocated memory to
 * pause after every x lines, define MORE with the value
 * that is the number of lines to pause after/
 * Don't define MORE at all if you don't want this facility.
 */
#define MORE 20

/*WARN_FREENULL*/
/* If this is defined, a warning will be given if free() is
 * called with a value of NULL.
 */
#define WARN_FREENULL

/*DEAD_BEEF*/
/* If this is defined, the first byte of memory pointed to by 
 * pointer that is freed will be set to this byte
 */
#define DEAD_BEEF  'M'